package com.bjsxt.service.impl;

import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.dao.impl.UserLoginDaoImpl;
import com.bjsxt.exception.UserNoFindException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserLoginService;

/**
 * 用户登录业务
 */
public class UserLoginServiceImpl implements UserLoginService {
    @Override
    public Users UserLogin(String username, String userpwd) {
        UserLoginDao userLoginDao=new UserLoginDaoImpl();
        Users users = userLoginDao.selectUsersByUsernameAndUserPwd(username, userpwd);
        if(users==null){
            throw new UserNoFindException("用户名或密码有误!");
        }
        return users;
    }
}
